lftp return code
I have written below code to get listing from a remote server.
echo "set xfer:log yes" > batchfile.txt
echo "set xfer:log-file Templogfile1.txt">> batchfile.txt
echo "open -p $rport -u $ruser,$rpass sftp://$ripaddress">> batchfile.txt
echo "cache flush">> batchfile.txt
echo "cd $rrdir">> batchfile.txt
echo "pwd">> batchfile.txt
echo "ls -l $srfile">> batchfile.txt
echo "quit">> batchfile.txt
exec 3>&1 4>&2
exec > TempSessionLog.txt 2>&1
set -x
(
lftp -f batchfile.txt >TempLogFile.log <<- EndFTP
EndFTP
)
retval1="$?"
exec 1>&3 2>&4
set +x
I have passed an incorrect directory name. A standard sftp returns error code ($? != 0)
but lftp sends a success (retval1 = 0)
return code.
In the TempSessionLogFile
above, I see the error message cd: Access failed: No such file (<<Directory Path>>)
with a successful return value.
Is there a way to capture the errors in lftp on the return codes? If not, what are my alternatives?
shell-script ksh sftp return-status lftp
add a comment |
I have written below code to get listing from a remote server.
echo "set xfer:log yes" > batchfile.txt
echo "set xfer:log-file Templogfile1.txt">> batchfile.txt
echo "open -p $rport -u $ruser,$rpass sftp://$ripaddress">> batchfile.txt
echo "cache flush">> batchfile.txt
echo "cd $rrdir">> batchfile.txt
echo "pwd">> batchfile.txt
echo "ls -l $srfile">> batchfile.txt
echo "quit">> batchfile.txt
exec 3>&1 4>&2
exec > TempSessionLog.txt 2>&1
set -x
(
lftp -f batchfile.txt >TempLogFile.log <<- EndFTP
EndFTP
)
retval1="$?"
exec 1>&3 2>&4
set +x
I have passed an incorrect directory name. A standard sftp returns error code ($? != 0)
but lftp sends a success (retval1 = 0)
return code.
In the TempSessionLogFile
above, I see the error message cd: Access failed: No such file (<<Directory Path>>)
with a successful return value.
Is there a way to capture the errors in lftp on the return codes? If not, what are my alternatives?
shell-script ksh sftp return-status lftp
add a comment |
I have written below code to get listing from a remote server.
echo "set xfer:log yes" > batchfile.txt
echo "set xfer:log-file Templogfile1.txt">> batchfile.txt
echo "open -p $rport -u $ruser,$rpass sftp://$ripaddress">> batchfile.txt
echo "cache flush">> batchfile.txt
echo "cd $rrdir">> batchfile.txt
echo "pwd">> batchfile.txt
echo "ls -l $srfile">> batchfile.txt
echo "quit">> batchfile.txt
exec 3>&1 4>&2
exec > TempSessionLog.txt 2>&1
set -x
(
lftp -f batchfile.txt >TempLogFile.log <<- EndFTP
EndFTP
)
retval1="$?"
exec 1>&3 2>&4
set +x
I have passed an incorrect directory name. A standard sftp returns error code ($? != 0)
but lftp sends a success (retval1 = 0)
return code.
In the TempSessionLogFile
above, I see the error message cd: Access failed: No such file (<<Directory Path>>)
with a successful return value.
Is there a way to capture the errors in lftp on the return codes? If not, what are my alternatives?
shell-script ksh sftp return-status lftp
I have written below code to get listing from a remote server.
echo "set xfer:log yes" > batchfile.txt
echo "set xfer:log-file Templogfile1.txt">> batchfile.txt
echo "open -p $rport -u $ruser,$rpass sftp://$ripaddress">> batchfile.txt
echo "cache flush">> batchfile.txt
echo "cd $rrdir">> batchfile.txt
echo "pwd">> batchfile.txt
echo "ls -l $srfile">> batchfile.txt
echo "quit">> batchfile.txt
exec 3>&1 4>&2
exec > TempSessionLog.txt 2>&1
set -x
(
lftp -f batchfile.txt >TempLogFile.log <<- EndFTP
EndFTP
)
retval1="$?"
exec 1>&3 2>&4
set +x
I have passed an incorrect directory name. A standard sftp returns error code ($? != 0)
but lftp sends a success (retval1 = 0)
return code.
In the TempSessionLogFile
above, I see the error message cd: Access failed: No such file (<<Directory Path>>)
with a successful return value.
Is there a way to capture the errors in lftp on the return codes? If not, what are my alternatives?
shell-script ksh sftp return-status lftp
shell-script ksh sftp return-status lftp
edited Aug 22 '17 at 11:24
Jeff Schaller
38.7k1053125
38.7k1053125
asked Oct 25 '16 at 15:36
user196962
92
92
add a comment |
add a comment |
1 Answer
1
active
oldest
votes
As long as you aren't doing anything subtle with the FTP protocol, which isn't the case here, the easy way is to use normal copying commands, and mount the FTP server to a directory. You can use LftpFS, which is a FUSE filesystem that uses lftp under the hood. Alternatives include CurlFtpFS. For SFTP rather than FTP, use SSHFS.
#!/bin/sh
trap 'fusermount -u mnt; rmdir mnt' EXIT INT TERM HUP
set -e
mkdir mnt
sshpass -p"$rpass" sshfs "$ruser@$ripaddress:/" mnt
cd "mnt/$rrdir"
ls -l "$srfile"
add a comment |
Your Answer
StackExchange.ready(function() {
var channelOptions = {
tags: "".split(" "),
id: "106"
};
initTagRenderer("".split(" "), "".split(" "), channelOptions);
StackExchange.using("externalEditor", function() {
// Have to fire editor after snippets, if snippets enabled
if (StackExchange.settings.snippets.snippetsEnabled) {
StackExchange.using("snippets", function() {
createEditor();
});
}
else {
createEditor();
}
});
function createEditor() {
StackExchange.prepareEditor({
heartbeatType: 'answer',
autoActivateHeartbeat: false,
convertImagesToLinks: false,
noModals: true,
showLowRepImageUploadWarning: true,
reputationToPostImages: null,
bindNavPrevention: true,
postfix: "",
imageUploader: {
brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
allowUrls: true
},
onDemand: true,
discardSelector: ".discard-answer"
,immediatelyShowMarkdownHelp:true
});
}
});
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
StackExchange.ready(
function () {
StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2funix.stackexchange.com%2fquestions%2f318829%2flftp-return-code%23new-answer', 'question_page');
}
);
Post as a guest
Required, but never shown
1 Answer
1
active
oldest
votes
1 Answer
1
active
oldest
votes
active
oldest
votes
active
oldest
votes
As long as you aren't doing anything subtle with the FTP protocol, which isn't the case here, the easy way is to use normal copying commands, and mount the FTP server to a directory. You can use LftpFS, which is a FUSE filesystem that uses lftp under the hood. Alternatives include CurlFtpFS. For SFTP rather than FTP, use SSHFS.
#!/bin/sh
trap 'fusermount -u mnt; rmdir mnt' EXIT INT TERM HUP
set -e
mkdir mnt
sshpass -p"$rpass" sshfs "$ruser@$ripaddress:/" mnt
cd "mnt/$rrdir"
ls -l "$srfile"
add a comment |
As long as you aren't doing anything subtle with the FTP protocol, which isn't the case here, the easy way is to use normal copying commands, and mount the FTP server to a directory. You can use LftpFS, which is a FUSE filesystem that uses lftp under the hood. Alternatives include CurlFtpFS. For SFTP rather than FTP, use SSHFS.
#!/bin/sh
trap 'fusermount -u mnt; rmdir mnt' EXIT INT TERM HUP
set -e
mkdir mnt
sshpass -p"$rpass" sshfs "$ruser@$ripaddress:/" mnt
cd "mnt/$rrdir"
ls -l "$srfile"
add a comment |
As long as you aren't doing anything subtle with the FTP protocol, which isn't the case here, the easy way is to use normal copying commands, and mount the FTP server to a directory. You can use LftpFS, which is a FUSE filesystem that uses lftp under the hood. Alternatives include CurlFtpFS. For SFTP rather than FTP, use SSHFS.
#!/bin/sh
trap 'fusermount -u mnt; rmdir mnt' EXIT INT TERM HUP
set -e
mkdir mnt
sshpass -p"$rpass" sshfs "$ruser@$ripaddress:/" mnt
cd "mnt/$rrdir"
ls -l "$srfile"
As long as you aren't doing anything subtle with the FTP protocol, which isn't the case here, the easy way is to use normal copying commands, and mount the FTP server to a directory. You can use LftpFS, which is a FUSE filesystem that uses lftp under the hood. Alternatives include CurlFtpFS. For SFTP rather than FTP, use SSHFS.
#!/bin/sh
trap 'fusermount -u mnt; rmdir mnt' EXIT INT TERM HUP
set -e
mkdir mnt
sshpass -p"$rpass" sshfs "$ruser@$ripaddress:/" mnt
cd "mnt/$rrdir"
ls -l "$srfile"
answered Oct 25 '16 at 23:47
Gilles
528k12810581583
528k12810581583
add a comment |
add a comment |
Thanks for contributing an answer to Unix & Linux Stack Exchange!
- Please be sure to answer the question. Provide details and share your research!
But avoid …
- Asking for help, clarification, or responding to other answers.
- Making statements based on opinion; back them up with references or personal experience.
To learn more, see our tips on writing great answers.
Some of your past answers have not been well-received, and you're in danger of being blocked from answering.
Please pay close attention to the following guidance:
- Please be sure to answer the question. Provide details and share your research!
But avoid …
- Asking for help, clarification, or responding to other answers.
- Making statements based on opinion; back them up with references or personal experience.
To learn more, see our tips on writing great answers.
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
StackExchange.ready(
function () {
StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2funix.stackexchange.com%2fquestions%2f318829%2flftp-return-code%23new-answer', 'question_page');
}
);
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown